Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Access

    java.lang.Object
      |
      +--org.hsqldb.Access

class Access
extends Object

Field Summary
`(package private) final static int` | `ALL`
`(package private) final static int` | `DELETE`
`(package private) final static int` | `INSERT`
`(package private) final static int` | `SELECT`
`(package private) final static int` | `UPDATE`

Constructor Summary
`(package private)` | `Access()`

Method Summary
`(package private) org.hsqldb.User` | `createUser(java.lang.String , java.lang.String , boolean )`
`(package private) void` | `dropUser(java.lang.String )`
`(package private) static int` | `getRight(java.lang.String )`
`(package private) static java.lang.String` | `getRight(int )`
`(package private) org.hsqldb.User` | `getUser(java.lang.String , java.lang.String )`
`(package private) java.util.Vector` | `getUsers()`
`(package private) void` | `grant(java.lang.String , java.lang.String , int )`
`(package private) void` | `revoke(java.lang.String , java.lang.String , int )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    final static int ALL

### DELETE

    final static int DELETE

### INSERT

    final static int INSERT

### SELECT

    final static int SELECT

### UPDATE

    final static int UPDATE

Constructor Detail

### Access

    Access()

Method Detail

### createUser

    org.hsqldb.User createUser(java.lang.String , java.lang.String , boolean )

### dropUser

    void dropUser(java.lang.String )

### getRight

    static int getRight(java.lang.String )

### getRight

    static java.lang.String getRight(int )

### getUser

    org.hsqldb.User getUser(java.lang.String , java.lang.String )

### getUsers

    java.util.Vector getUsers()

### grant

    void grant(java.lang.String , java.lang.String , int )

### revoke

    void revoke(java.lang.String , java.lang.String , int )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD